﻿@model WebApplication.Models.NewsModels

@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)
    <fieldset>
        <legend>Noticia</legend>

        <div class="editor-label">
            @Html.LabelFor(model => model.Titulo)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Titulo)
            @Html.ValidationMessageFor(model => model.Titulo)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Contenido)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Contenido)
            @Html.ValidationMessageFor(model => model.Contenido)
        </div>

        <p>
            <input type="button" value="Create" onclick="SaveNews()" />
        </p>
    </fieldset>
}

<div>
    @Html.ActionLink("Close", "Index", "Home")
</div>

<script type="text/javascript">
    function SaveNews() {
        var ptitulo = $("#Titulo").val();
        var pcontenido = $("#Contenido").val();

        var noticia = {
            "Titulo": ptitulo, "Contenido": pcontenido
        };

        $.post('/news/create', noticia,
        function (data) { if (data == 0) { location = location.href; } }, 'json');

    }
</script>
